Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Authorization: Bearer <token>. Accepts EITHER a Keycloak access token (scopes-in-token) OR an opaque POS session token; both resolve to the same pos.* scope vocabulary the route guards enforce.

Path Parameters

sessionId
string
required
Minimum string length: 1

Body

application/json
countedCents
integer
required
Required range: 0 <= x <= 9007199254740991

Response

The closed session with its reconciliation.

The closed session with its reconciliation.

id
string
required
storeId
string
required
registerId
string
required
currency
string
required
salespersonId
string
required
openingFloatCents
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
movements
object[]
required
status
enum<string>
required
Available options:
open,
closed
closing
object | null
required
actorId
string
required
openedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$